/*
Data Store: BW_AGS_DATA_STORE
Created: 2014-06-25T23:35:57.331Z
By: kumaravel
Appian Version: 7.5.0.0
Target Database: Oracle Oracle Database 11g Enterprise Edition Release 11.2.0.3.0 - 64bit Production With the Partitioning, Automatic Storage Management, OLAP, Data Mining and Real Application Testing options
Database Driver: Oracle JDBC driver 11.2.0.1.0
*/

/* UPDATE DDL */
    create sequence AG_SRV_TRAN_EXT_sq;

/* DROP AND CREATE DDL */
/* WARNING: The DDL commented out below will drop and re-create all tables.
    drop table "AG_SRV_NAICS" cascade constraints;

    drop table "AG_SRV_TEMPLATE" cascade constraints;

    drop table "AG_SRV_TRAN_EXT" cascade constraints;

    drop sequence AG_SRV_NAICS_sq;

    drop sequence AG_SRV_TEMPLATE_sq;

    drop sequence AG_SRV_TRAN_EXT_sq;

    create table "AG_SRV_NAICS" (
        "NAICS_ID" number(15,5) not null,
        "NAICS_CODE" varchar2(50),
        "NAICS_ITEM_DESCRIPTION" varchar2(100),
        "TEMPLATE_CATEGORY" varchar2(100),
        "DATE_CREATED" timestamp(6),
        "DATE_CREATED_BY" varchar2(50),
        "DATE_UPDATED" timestamp(6),
        "DATE_UPDATED_BY" varchar2(50),
        primary key ("NAICS_ID")
    );

    create table "AG_SRV_TEMPLATE" (
        "TEMPLATE_ID" number(15,5) not null,
        "TEMPLATE_CATEGORY" varchar2(50),
        "TEMPLATE_DESCRIPTION" varchar2(100),
        "FICO" char(1),
        "PAYDEX" char(1),
        "SECONDARY_SUPPORT" char(1),
        "BEGINNING_MARGIN" char(1),
        "FILTER" varchar2(25),
        "DAIRY_HERD_LTV" char(1),
        "COLLATERAL_ADVANCE" char(1),
        "RE_TERM_LTV" char(1),
        "EQUIP_TERM_LTV" char(1),
        "INVENTORY_ADVANCE_PERCENTAGE" char(1),
        "LEVERAGE_D_ETNW" char(1),
        "DSCR" char(1),
        "CURRENT_RATIO" char(1),
        "YEARS_IN_BUSINESS" char(1),
        "INVENTORY_DAYS" char(1),
        "DAIRY_SUST_WITH_RE" char(1),
        "NEW_EQUIP_ADV" char(1),
        "USED_EQUIP_ADV" char(1),
        "NO_OF_YRS_WITH_POS_CASHFLOW" char(1),
        "CREATED_BY" varchar2(50),
        "MODIFIED_BY" varchar2(50),
        "CREATED_DATE" timestamp(6),
        "MODIFIED_DATE" timestamp(6),
        primary key ("TEMPLATE_ID")
    );

    create table "AG_SRV_TRAN_EXT" (
        "TRAN_EXT_ID" number(15,5) not null,
        "NEW_EXISTING_RENEWAL" varchar2(25),
        "LOAN_TYPE" varchar2(25),
        "COMMITMENT" number(15,5),
        "MATURITY" date,
        "GRADE" varchar2(25),
        "CREATED_BY" varchar2(50),
        "UPDATED_BY" varchar2(50),
        "CREATED_DATE" timestamp(6),
        "UPDATED_DATE" timestamp(6),
        primary key ("TRAN_EXT_ID")
    );

    create sequence AG_SRV_NAICS_sq;

    create sequence AG_SRV_TEMPLATE_sq;

    create sequence AG_SRV_TRAN_EXT_sq;
*/
